Bug 127274 - gdb string "Error while reading shared library symbols" disrupts debugging
gdb string "Error while reading shared library symbols" disrupts debugging
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-05 14:41 EDT by David Bennion
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 16:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
catch some gdb strings that are non-error conditions. (1.19 KB, patch)
2004-07-05 15:32 EDT, David Bennion
no flags Details | Diff
spec file that adds the gdb_shared_library patch in. (13.05 KB, text/plain)
2004-07-05 15:32 EDT, David Bennion
no flags Details

  None (edit)
Description David Bennion 2004-07-05 14:41:35 EDT
Description of problem:
When you debug an app that loads shared libraries in kdevelop, 
gdb will throw the "Error while reading shared library symbols"
and kdevelop thinks this is a terminal error and disrupts the
debugger.

Version-Release number of selected component (if applicable):
kdevelop-3.0.3-1

How reproducible: Always

Steps to Reproduce:
1. Run kdevelop
2. Start the debugger on an app that has shared libaries
3. Kdevelop will throw an error dialog and disrupt the debugging process.
  
Actual results: 
no debugging joy.

Expected results:
happily debugging an app.

Additional info:
Comment 1 David Bennion 2004-07-05 15:32:16 EDT
Created attachment 101641 [details]
catch some gdb strings that are non-error conditions.
Comment 2 David Bennion 2004-07-05 15:32:58 EDT
Created attachment 101642 [details]
spec file that adds the gdb_shared_library patch in.
Comment 3 David Bennion 2004-07-05 15:34:30 EDT
I didn't know if I new source for kdevelop would make be rebuild all
of KDE (which I don't really feel like doing).

So I created a patch for this problem from source on the kdevelop site.

Follow these steps if you just want to use my patch to "get by the
moment" and get on with your debugging.

1.  rpm -Uvh libselinux-devel-1.11.4-1
kdevelop won't build without it.
2.  rpm -Ivh kdevelop-3.0.3-1.src.rpm
3.  download the attached gdb_shared_library.patch to
/usr/src/redhat/packages/SOURCES
4.  download the attached kdevelop.spec to
/usr/src/redhat/packages/SPEC (overwrite the existing one)
5.  login as root and change to /usr/src/redhat/packages/SPEC
6.  rpmbuild -bb kdevelop.spec
7.  wait 30 minutes or so for it to build
8.  change to /usr/src/redhat/packages/RPMS/i386
9.  rpm -Uvh --force kdevelop-3.0.3-1.i386.rpm
Comment 4 Alex Grosu 2004-09-01 13:28:23 EDT
hello. i'm a newbie and i followed your steps exactly, until step 6.
after a few minutes, it exits from building with the message:
/usr/bin/ld: cannot find -lselinux
can u tell me what can i do next? thank you verry much
Comment 5 Alex Grosu 2004-09-01 14:41:51 EDT
i'm sorry that i bothered, but i figured out. i had to make a soft
link in /lib:
cd /lib
ln -s libselinux.so.1 libselinux.so
Comment 6 Ngo Than 2004-09-01 16:43:29 EDT
the new kdevelop-3.1.0 will include this patch file. Thanks

Note You need to log in before you can comment on or make changes to this bug.